## org.hibernate.metamodel.source.binder
Interface ComponentIdentifierSource

All Superinterfaces:
  IdentifierSource

    public interface ComponentIdentifierSource

extends IdentifierSource

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.metamodel.source.binder.IdentifierSource
`IdentifierSource.Nature`

Method Summary
`ComponentAttributeSource` `getIdentifierAttributeSource()` Obtain the source descriptor for the identifier attribute.

Methods inherited from interface org.hibernate.metamodel.source.binder.IdentifierSource
`getIdentifierGeneratorDescriptor, getNature`

Method Detail

### getIdentifierAttributeSource

    ComponentAttributeSource getIdentifierAttributeSource()

  Obtain the source descriptor for the identifier attribute.

  Returns:
    The identifier attribute source.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.